List Channel Bindings
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "slack",
"enabled": true,
"platform_team_id": "<string>",
"platform_bot_id": "<string>",
"allowed_channels": [
"<string>"
],
"resolved_target": {
"runtime_target": {
"target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"resolved_environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"resolved_branch": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"resolved_deployment": {
"id": "<string>",
"runtime_version": "<string>",
"deployment_revision": "<string>",
"last_deployed_at": "<string>"
},
"resolved_managed_domain": {
"domain": "<string>",
"health_url": "<string>"
},
"last_resolution_error": {
"code": "<string>",
"retryable": true,
"message": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"binding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assistant_id": "<string>",
"workspace_name": "<string>",
"welcome_message": "<string>",
"error_message": "<string>",
"max_response_tokens": 1,
"target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}Lists channel bindings for a project.
GET
/
projects
/
{project_reference}
/
channels
List Channel Bindings
⌘I